#include <SPI.h>
#include <SNAAB_ILI9341.h>
#include "Arial14x16.h"
#include "Arial29x32.h"

#define TFT_CS 10
#define TFT_DC 9

const CurrentFont *Font1 = &Arial14x16;
const CurrentFont *Font2 = &Arial29x32;

SNAAB_ILI9341  ili9341;

 bool changeColor = false;
 char *str1 = "ЕЩЁ"; 
 char *str2 = "Строка"; 
 uint16_t stepStr = 0; 
 uint16_t colorTmp = YELLOW;
 bool baseline = false;
 
void setup() {
  ili9341.begin(TFT_CS, TFT_DC);
  ili9341.setFreq(2);
  ili9341.clear();
}

void loop() {
  ili9341.setOrientation(LANDSCAPE);
  ili9341.fillRect(10, 0, 120, 60, BLACK);
  
  if (changeColor) {
    colorTmp = CYAN;
  }
  else {
    colorTmp = YELLOW;  
  }

  stepStr = ili9341.drawText(Font2, str1, 10, 25, baseline, false, colorTmp); 
  ili9341.drawText(Font1, str2, 10 + stepStr, 25, baseline, false, colorTmp); 

  ili9341.drawHorLine(0, 25, 8, GREEN);
  ili9341.drawLine(4, 21, 8, 25, GREEN); 
  ili9341.drawLine(4, 29, 8, 25, GREEN); 

  changeColor = ! changeColor;

  baseline =! baseline;
  
  delay(1000);
}
