#include <SPI.h>
#include <SNAAB_ILI9341.h>
#include "Arial14x16.h"
#include "Arial20x22.h"
#include "Arial29x32_no_r.h"

#define TFT_CS 10
#define TFT_DC 9

const CurrentFont *Font1 = &Arial14x16;
const CurrentFont *Font2 = &Arial20x22;
const CurrentFont *Font3 = &Arial29x32_no_r;

SNAAB_ILI9341  ili9341;

 char *str = "Hello, world!";
 bool changeColor = false;
 uint16_t colorTmp = YELLOW;
 uint8_t orient = 0;
 
void setup() {
  ili9341.begin(TFT_CS, TFT_DC);
  ili9341.setFreq(2);  
  ili9341.clear();
}

void loop() {
  ili9341.clear();
  ili9341.setOrientation(orient);  
  
  if (changeColor) {
    colorTmp = CYAN;
  }
  else {
    colorTmp = YELLOW;  
  }

  ili9341.drawText(Font1, str, 5, 20, false, false, colorTmp); 
 
  ili9341.drawText(Font2, str, 5, 50, false, false, colorTmp);
 
  ili9341.drawText(Font3, str, 5, 90, false, false, colorTmp); 

  changeColor = ! changeColor;

  orient++;
   if (orient > 3) {
    orient = 0;
   }
  
  delay(1000);
}
