#include <SPI.h>
#include <SNAAB_ILI9341.h>

#define TFT_CS 10
#define TFT_DC 9

SNAAB_ILI9341  ili9341;

bool changeColor = false;
uint16_t colorTmp = YELLOW;

void setup() {
  ili9341.begin(TFT_CS, TFT_DC);
  ili9341.setFreq(2);
  ili9341.clear();
  ili9341.setOrientation(LANDSCAPE);
}

void loop() {
  if (changeColor) {
    colorTmp = CYAN;
  }
  else {
    colorTmp = YELLOW;  
  }

  ili9341.drawRect(10, 10, 80, 80, CYAN);
  ili9341.drawRoundRect(120, 10, 80, 80, 15, CYAN);
  ili9341.drawCircle(160, 50, 30, colorTmp);
  ili9341.fillCircle(50, 50, 30, colorTmp);
  ili9341.drawRing(50, 180, 25, 10, colorTmp);
  
  ili9341.drawThickRect(10, 140, 80, 80, 10, CYAN);
  ili9341.drawThickRoundRect(120, 140, 80, 80, 10, 20, CYAN);
  
  ili9341.fillRoundRect(220, 10, 80, 80, 15, CYAN);
  ili9341.fillRect(220, 140, 80, 80, CYAN);

  ili9341.drawHorLine(5, 115, 300, GREEN);
  ili9341.drawVertLine(105, 10, 210, YELLOW);
  ili9341.drawLine(100, 135, 210, 100, RED);  
  
  changeColor = ! changeColor;

  delay(1000);   
}
